com.r3corda.node.utilities.certsigning / CertificateSigner

# CertificateSigner

`class CertificateSigner`

This check the certificatePath for certificates required to connect to the Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using CertificateSigningService. This process will enter a slow polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in KeyStore reside in certificatePath.

### Constructors

<init> | `CertificateSigner(config: NodeConfiguration, certService: CertificateSigningService)` This check the certificatePath for certificates required to connect to the Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using CertificateSigningService. This process will enter a slow polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in KeyStore reside in certificatePath.

### Properties

certService | `val certService: CertificateSigningService`
config | `val config: NodeConfiguration`

### Functions

buildKeyStore | `fun buildKeyStore(): Unit`

### Companion Object Properties

log | `val log: <ERROR CLASS>`
pollInterval | `val pollInterval: Duration`